//
// Created by IgorBat on 23.04.2018.
//

#ifndef GAME_CLIENT_MELEEDAMAGE_H
#define GAME_CLIENT_MELEEDAMAGE_H
#include <cassert>
#include "effects\effect.h"

class MeleeDamage : public Effect {
public:
    MeleeDamage() = default;

    void OperateOnCell(Cell* cell);
    void OperateOnUnit(Unit* unit);
    void OperateOnUnitToCell(Unit* who, Cell* where);
    void Execute(Cell* from, Cell* where, Unit* who, Unit* whom, TypeOfTrigger Type);
};
#endif //GAME_CLIENT_MELEEDAMAGE_H
